Orchestrator - Bug #49757

orch: --format flag name not included in help for 'orch ps' and 'orch Is'
03/11/2021 06:55 PM - Adam King

Status: Resolved % Done: 0%
Priority: Low

Assignee: Adam King

Category:

Target version:

Source: Affected Versions:

Tags: ceph-qa-suite:

Backport: pacific Pull request ID: 40124
Regression: No Crash signature (v1):
Severity: 3 - minor Crash signature (v2):
Reviewed:

Description

the help description for 'ceph orch ps'is

orch ps [<hostname>]

[-—refresh]

[<service_name>]

[<daemon_type>] [<daemon_id>] [plain]|json|json-pretty|yaml]

If a user wanted to specify the format without one of the earlier args they would need to use the --format flag. However, the help
description does not include the actual flag name so the user has no way to know that. Other commands that have the format arg

have the same issue

History

#1 - 03/15/2021 09:07 AM - Kefu Chai

- Status changed from In Progress to Resolved

- Pull request ID set to 40041

#2 - 03/15/2021 01:06 PM - Adam King
- Status changed from Resolved to New

- Pull request ID deleted (40041)

initially suggested change is being reverted https://github.com/ceph/ceph/pull/40111

#3 - 03/16/2021 06:21 PM - Adam King

- Status changed from New to Fix Under Review

- Pull request ID set to 40124

new attempt, this time only affecting the --format flag

#4 - 03/19/2021 05:54 PM - Ken Dreyer

- Backport set to pacific

#5 - 04/03/2021 02:27 PM - Kefu Chai

- Status changed from Fix Under Review to Pending Backport
https://github.com/ceph/ceph/pull/40111

#6 - 04/28/2021 04:06 PM - Adam King

- Status changed from Pending Backport to Resolved
